Module org.jfree.chart3d
Package org.jfree.chart3d.graphics3d

# Class RenderedElement

java.lang.Object
org.jfree.chart3d.graphics3d.RenderedElement

public class RenderedElement extends Object
Represents an item or element that has been rendered by the graphics engine. Properties can be assigned to the elements in order to provide the information required for such things as end user interactivity.

Since:
  1.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BOUNDS`
A key for the 'bounds' property (the value is a `Shape`).
`static final String`
`TYPE`
A key for the 'type' property.

## Constructor Summary

Constructors
Constructor
Description
`RenderedElement(Object type, Shape bounds)`
Creates a new interactive element with the specified type.

## Method Summary

Modifier and Type
Method
Description
`void`
`clearProperties()`
Clears all properties for this element.
`Object`
`getProperty(String key)`
Returns the value of the property with the specified key, or `null`).
`Object`
`getType()`
Returns the element type, as specified in the constructor.
`void`
`setProperty(String key, Object value)`
Sets the value for a property.
`String`
`toString()`
Returns a string representation of the element, primarily for debugging purposes.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE
A key for the 'type' property. The value is an Object.

See Also:
  - Constant Field Values

### BOUNDS

public static final String BOUNDS
A key for the 'bounds' property (the value is a `Shape`).

See Also:
  - Constant Field Values

## Constructor Details

### RenderedElement

public RenderedElement(Object type, Shape bounds)
Creates a new interactive element with the specified type.

Parameters:
  `type` - the type (`null` not permitted).
  `bounds` - the bounds (`null` permitted).

## Method Details

### getType

public Object getType()
Returns the element type, as specified in the constructor.

Returns:
  The element type.

### getProperty

public Object getProperty(String key)
Returns the value of the property with the specified key, or `null`).

Parameters:
  `key` - the key (`null` not permitted).
Returns:
  The property value.

### setProperty

public void setProperty(String key, Object value)
Sets the value for a property.

Parameters:
  `key` - the property key (`null` not permitted).
  `value` - the property value.

### clearProperties

public void clearProperties()
Clears all properties for this element.

### toString

public String toString()
Returns a string representation of the element, primarily for debugging purposes.

Overrides:
  `toString` in class `Object`
Returns:
  A string.